REST API Reference#
Note
See the Glossary for the meaning of the acronyms used in this guide.
This page documents the endpoints and available HTTP methods for the Dioptra REST API.
In addition to using this page, it is highly recommended that Dioptra users also use the Swagger documentation that the REST API service automatically generates at runtime, which presents all of this page’s information in an interactive format.
To access the Swagger documentation, just navigate to the web URL for the Dioptra REST API service (omit the /api/v1 part at the end of the web address).
Authentication#
User authentication operations.
Endpoints#
The following is the list of endpoints under the /api/v1/auth/ namespace.
Artifacts#
Artifact management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/artifacts/ namespace.
- POST /api/v1/artifacts/#
Creates an Artifact resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/#
Gets a list of all Artifact resources
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
outputParams (string) – Ordered List of Plugin Task Parameter Ids of the output values produced by the ArtifactTask associated with the target Artifacts.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/artifacts/{id}#
Modifies an Artifact resource
- Parameters
id (integer) – ID for the Artifact resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/{id}#
Gets an Artifact resource
- Parameters
id (integer) – ID for the Artifact resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/{id}/contents#
Downloads the contents of an Artifact resource
- Args:
id: the resource id of the artifact
- Returns:
A list of the files associated with artifact.
- Parameters
id (integer) – ID for the Artifact resource.
- Query Parameters
path (string) – Path of a specific artifact. Only valid if artifactis a directory.
fileType (string) – Only valid if the artifact is a directory. The type of file todownload: tar_gz or zip.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/{id}/files#
Gets a list of all files associated with an Artifact resource
- Parameters
id (integer) – ID for the Artifact resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.ARTIFACT resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.ARTIFACT resource.
id (integer) – ID for the EntityType.ARTIFACT resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/artifacts/{id}/snapshots/{snapshotId}/contents#
Downloads the contents of an Artifact snapshot
- Args:
id: the resource id of the artifact snapshotId: the snapshot resource id of the artifact
- Returns:
A list of the files associated with artifact.
- Parameters
snapshotId (integer) – Snapshot ID for the Artifact resource.
id (integer) – Snapshot ID for the Artifact resource.
- Query Parameters
path (string) – Path of a specific artifact. Only valid if artifactis a directory.
fileType (string) – Only valid if the artifact is a directory. The type of file todownload: tar_gz or zip.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Entrypoints#
Entrypoint management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/entrypoints/ namespace.
- POST /api/v1/entrypoints/#
Creates an Entrypoint resource
- Query Parameters
validateOnly (boolean) – If true, perform the same checks as saving, then roll back without committing changes. Return the entrypoint representation, omitting generated IDs and timestamps.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/#
Gets a list of Entrypoint resources matching the filter parameters
- Query Parameters
showDeleted (boolean) – Boolean indicating whether to include deleted resources in the results.
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/entrypoints/drafts/#
Creates a Draft for the resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/drafts/#
Gets the Drafts for the resource
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/entrypoints/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Entry Point resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Entry Point resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Entry Point resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/entrypoints/{id}#
Modifies an Entrypoint resource by its unique ID
- Parameters
id (integer) – ID for the Entrypoint resource.
- Query Parameters
validateOnly (boolean) – If true, perform the same checks as saving, then roll back without committing changes. Return the entrypoint representation, omitting generated IDs and timestamps.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}#
Deletes an Entrypoint resource by its unique ID
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}#
Gets an Entrypoint resource by its unique ID
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/entrypoints/{id}/artifactPlugins#
Appends artifact plugins to an entrypoint resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/artifactPlugins#
Retrieves the artifact plugin snapshots for an entrypoint resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}/artifactPlugins/{artifactPluginId}#
Removes a artifact plugin from an entrypoint by ID
- Parameters
artifactPluginId (integer) – ID for the Artifact Plugin resource.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/artifactPlugins/{artifactPluginId}#
Retrieves a artifact plugin snapshot for an entrypoint resource
- Parameters
artifactPluginId (integer) – ID for the Artifact Plugin resource.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/entrypoints/{id}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/entrypoints/{id}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/entrypoints/{id}/plugins#
Appends plugins to an entrypoint resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/plugins#
Retrieves the plugin snapshots for an entrypoint resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}/plugins/{pluginId}#
Removes a plugin from an entrypoint by ID
- Parameters
pluginId (integer) – ID for the Plugin resource.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/plugins/{pluginId}#
Retrieves a plugin snapshot for an entrypoint resource
- Parameters
pluginId (integer) – ID for the Plugin resource.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/entrypoints/{id}/queues#
Replaces one or more Queues to the resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}/queues#
Removes all Queues from the resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/entrypoints/{id}/queues#
Appends one or more Queues to the resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/queues#
Gets the list of Queues for the resource
- Parameters
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}/queues/{queueId}#
Removes a Queue from the Entrypoint resource
- Parameters
queueId (integer) – ID for the Queue resource.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.ENTRY_POINT resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.ENTRY_POINT resource.
id (integer) – ID for the EntityType.ENTRY_POINT resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}/artifactPlugins#
Retrieves the artifact plugin snapshots for an entrypoint resource
- Parameters
snapshotId (integer) – Snapshot ID for the Entrypoint snapshot.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}/artifactPlugins/bundle#
Returns a file bundle containing all of the ArtifactPlugin PluginFile
resources for an EntryPoint Snapshot resource.
- Parameters
snapshotId (integer) – Snapshot ID for the Entrypoint resource.
id (integer) – ID for the Entrypoint resource.
- Query Parameters
fileType (string) – The type of file to download: tar_gz or zip.
- Status Codes
200 OK – Success
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}/config#
- Parameters
snapshotId (integer) – Snapshot ID for the entrypoint resource.
id (integer) – ID for the entrypoint resource.
- Query Parameters
swaps (string) – Swap choices encoded as deepObject query parameters: swaps[method]=attack%3Av2&swaps[secondary]=attack%2Cv3. Each swap key must occur exactly once. Omit for no selections.
sections (string) – A list of sections to include in the response.
partial (boolean) – If true, allow partial rendering of the task graph from this endpoint.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}/dynamicGlobalParameters#
Finds the global parameters for the given entrypoint + swap choice dictionary
- Parameters
snapshotId (integer) – Snapshot ID for the Entrypoint snapshot.
id (integer) – ID for the Entrypoint resource.
- Query Parameters
swaps (string) – Swap choices encoded as deepObject query parameters: swaps[method]=attack%3Av2&swaps[secondary]=attack%2Cv3. Each swap key must occur exactly once. Omit for no selections.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}/plugins/bundle#
Returns a file bundle containing all of the PluginFile resources for an
EntryPoint Snapshot resource.
- Parameters
snapshotId (integer) – Snapshot ID for the Entrypoint resource.
id (integer) – ID for the Entrypoint resource.
- Query Parameters
fileType (string) – The type of file to download: tar_gz or zip.
- Status Codes
200 OK – Success
- GET /api/v1/entrypoints/{id}/snapshots/{snapshotId}/swaps#
Retrieve available swaps for a given entrypoint snapshot
- Parameters
snapshotId (integer) – Snapshot ID for the Entrypoint resource.
id (integer) – ID for the Entrypoint resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/entrypoints/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the entry_point.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/entrypoints/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the entry_point.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/entrypoints/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the entry_point.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/entrypoints/{id}/tags#
Gets the list of Tags for the resource
- Parameters
id (integer) – ID for the entry_point.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Experiments#
Experiment management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/experiments/ namespace.
- POST /api/v1/experiments/#
Creates an Experiment resource with a provided name
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/#
Gets a page of Experiment resources matching the filter parameters
- Query Parameters
showDeleted (boolean) – Boolean indicating whether to include deleted resources in the results.
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/experiments/drafts/#
Creates a Draft for the resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/drafts/#
Gets the Drafts for the resource
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/experiments/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/experiments/{id}#
Modifies an experiment by its unique identifier
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/{id}#
Deletes an experiment by its unique identifier
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}#
Gets an experiment by its unique identifier
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/experiments/{id}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/{id}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/experiments/{id}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/experiments/{id}/entrypoints#
Replaces one or more Entrypoints to the resource
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/{id}/entrypoints#
Removes all Entrypoints from the resource
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/experiments/{id}/entrypoints#
Appends one or more Entrypoints to the resource
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/entrypoints#
Gets the list of Entrypoints for the resource
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/{id}/entrypoints/{entrypointId}#
Removes a Entrypoint from the Experiment resource
- Parameters
entrypointId (integer) – ID for the Entrypoint resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/experiments/{id}/jobs#
Creates a Job resource under the specified Experiment
- Parameters
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/jobs#
Returns a list of jobs for a specified Experiment
- Parameters
id (integer) – ID for the Experiment resource.
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/{id}/jobs/{jobId}#
Deletes a Job resource
- Parameters
jobId (integer) – ID for the Job resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/jobs/{jobId}#
Gets a Job resource
- Parameters
jobId (integer) – ID for the Job resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/experiments/{id}/jobs/{jobId}/mlflowRun#
Sets the mlflow run id for a Job
- Parameters
jobId (integer) – ID for the Job resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/jobs/{jobId}/mlflowRun#
Gets a Job resource’s mlflow run id
- Parameters
jobId (integer) – ID for the Job resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/experiments/{id}/jobs/{jobId}/status#
Modifies a Job resource’s status
- Parameters
jobId (integer) – ID for the Job resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/jobs/{jobId}/status#
Gets a Job resource’s status
- Parameters
jobId (integer) – ID for the Job resource.
id (integer) – ID for the Experiment resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/metrics#
Gets all of the latest metrics for every job in the experiment
- Parameters
id (integer) – ID for the Experiment resource.
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.EXPERIMENT resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/experiments/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.EXPERIMENT resource.
id (integer) – ID for the EntityType.EXPERIMENT resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/experiments/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the experiment.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/experiments/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the experiment.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/experiments/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the experiment.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Groups#
Group management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/groups/ namespace.
- GET /api/v1/groups/#
Gets a list of all Group resources
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Jobs#
Job management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/jobs/ namespace.
- GET /api/v1/jobs/#
Gets a list of all Job resources
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/jobs/{id}#
Deletes a Job resource
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}#
Gets a Job resource
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/artifactParameters#
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- GET /api/v1/jobs/{id}/config#
Return the YAML configuration dictionary for the specified Job
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/jobs/{id}/log#
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/log#
- Parameters
id (integer) – ID for the Job resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
severity (array) – List of severities to filter by
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/jobs/{id}/metrics#
Sets a metric for a Job
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/metrics#
Gets a Job resource’s latest metrics
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/metrics/{name}/snapshots#
Gets a Job resource’s metric history
- Parameters
name (string) – Name of the metric.
id (integer) – ID for the Job resource.
- Query Parameters
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/jobs/{id}/mlflowRun#
Sets the mlflow run id for a Job
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/mlflowRun#
Gets a Job resource’s mlflow run id
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/parameters#
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- GET /api/v1/jobs/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.JOB resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.JOB resource.
id (integer) – ID for the EntityType.JOB resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/jobs/{id}/status#
Gets a Job resource’s status
- Parameters
id (integer) – ID for the Job resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/jobs/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the job.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/jobs/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the job.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/jobs/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the job.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Models#
Model management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/models/ namespace.
- POST /api/v1/models/#
Creates a Model resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/#
Gets a list of all Model resources
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/models/drafts/#
Creates a Draft for the resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/drafts/#
Gets the Drafts for the resource
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/models/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the ML Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/models/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the ML Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the ML Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/models/{id}#
Modifies a Model resource
- Parameters
id (integer) – ID for the Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/models/{id}#
Deletes a Model resource
- Parameters
id (integer) – ID for the Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}#
Gets a Model resource
- Parameters
id (integer) – ID for the Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/models/{id}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/models/{id}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/models/{id}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.ML_MODEL resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.ML_MODEL resource.
id (integer) – ID for the EntityType.ML_MODEL resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/models/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the ml_model.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/models/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the ml_model.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/models/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the ml_model.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}/tags#
Gets the list of Tags for the resource
- Parameters
id (integer) – ID for the ml_model.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/models/{id}/tags/{tagId}#
Removes a Tag from the resource
- Parameters
tagId (integer) – ID for the Tag.
id (integer) – ID for the ml_model.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/models/{id}/versions#
Creates a new version of the model resource
- Parameters
id (integer) – ID for the Models resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}/versions#
Gets a list of versions of this Model resource
- Parameters
id (integer) – ID for the Models resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/models/{id}/versions/{versionNumber}#
Modifies specific version of the model resource
- Parameters
versionNumber (integer) – Version number for the Model resource.
id (integer) – ID for the Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/models/{id}/versions/{versionNumber}#
Gets a specific version of a model by version number
- Parameters
versionNumber (integer) – Version number for the Model resource.
id (integer) – ID for the Model resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
PluginParameterTypes#
PluginParameterType management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/pluginParameterType/ namespace.
- POST /api/v1/pluginParameterTypes/#
Creates a PluginParameterType resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/#
Gets a list of all PluginParameterType resources
- Query Parameters
showDeleted (boolean) – Boolean indicating whether to include deleted resources in the results.
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/pluginParameterTypes/drafts/#
Creates a Draft for the resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/drafts/#
Gets the Drafts for the resource
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/pluginParameterTypes/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Plugin Task Parameter Type resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/pluginParameterTypes/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Plugin Task Parameter Type resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Plugin Task Parameter Type resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/pluginParameterTypes/{id}#
Modifies a PluginParameterType resource
- Parameters
id (integer) – ID for the PluginParameterType resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/pluginParameterTypes/{id}#
Deletes a PluginParameterType resource
- Parameters
id (integer) – ID for the PluginParameterType resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/{id}#
Gets a PluginParameterType resource
- Parameters
id (integer) – ID for the PluginParameterType resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/pluginParameterTypes/{id}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/pluginParameterTypes/{id}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/pluginParameterTypes/{id}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/{id}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.PLUGIN_TASK_PARAMETER_TYPE resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/pluginParameterTypes/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.PLUGIN_TASK_PARAMETER_TYPE resource.
id (integer) – ID for the EntityType.PLUGIN_TASK_PARAMETER_TYPE resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/pluginParameterTypes/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the plugin_task_parameter_type.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/pluginParameterTypes/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the plugin_task_parameter_type.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/pluginParameterTypes/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the plugin_task_parameter_type.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Plugins#
Plugins management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/plugins/ namespace.
- POST /api/v1/plugins/#
Creates a Plugin resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/#
Gets a list of all Plugin resources
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/drafts/#
Creates a Draft for the resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/drafts/#
Gets the Drafts for the resource
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/{id}#
Modifies a Plugin resource
- Parameters
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}#
Deletes a Plugin resource
- Parameters
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}#
Gets a Plugin resource
- Parameters
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/{id}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/{id}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/files#
Deletes all PluginFile resources associated with a Plugin resource
- Parameters
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/{id}/files#
Creates a PluginFile resource associated with a Plugin resource
If type is plugin then blah If type is artifact then blah
- Parameters
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files#
Gets a list of all PluginFile resources for a Plugin resource
- Parameters
id (integer) – ID for the Plugin resource.
- Query Parameters
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/{id}/files/drafts/#
Creates a Draft for the resource
- Parameters
id (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/drafts/#
Gets the Drafts for the resource
- Parameters
id (integer) –
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/{id}/files/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the EntityType.PLUGIN_FILE resource.
id (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/files/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the EntityType.PLUGIN_FILE resource.
id (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the EntityType.PLUGIN_FILE resource.
id (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/{id}/files/{fileId}#
Modifies a PluginFile resource
- Parameters
fileId (integer) – ID for the PluginFile resource.
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/files/{fileId}#
Deletes a PluginFile resource
- Parameters
fileId (integer) – ID for the PluginFile resource.
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/{fileId}#
Gets a PluginFile resource
- Parameters
fileId (integer) – ID for the PluginFile resource.
id (integer) – ID for the Plugin resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/{id}/files/{fileId}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
fileId (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/files/{fileId}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
fileId (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/{id}/files/{fileId}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
fileId (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/{fileId}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
fileId (integer) –
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/{fileId}/snapshots#
Gets the Snapshots for the resource
- Parameters
fileId (integer) – ID for the EntityType.PLUGIN_FILE.
id (integer) – ID for the EntityType.PLUGIN_FILE.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/{fileId}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – ID for the Snapshot.
fileId (integer) – ID for the Plugin File.
id (integer) – ID for the Plugin File.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/plugins/{id}/files/{fileId}/tags/#
Replaces one or more Tags to the resource
- Parameters
fileId (integer) – ID for the plugin_file.
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/files/{fileId}/tags/#
Removes all Tags from the resource
- Parameters
fileId (integer) – ID for the plugin_file.
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/{id}/files/{fileId}/tags/#
Appends one or more Tags to the resource
- Parameters
fileId (integer) – ID for the plugin_file.
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/files/{fileId}/tags/#
Gets the list of Tags for the resource
- Parameters
fileId (integer) – ID for the plugin_file.
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/files/{fileId}/tags/{tagId}#
Removes a Tag from the resource
- Parameters
tagId (integer) – ID for the Tag.
fileId (integer) – ID for the plugin_file.
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.PLUGIN resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.PLUGIN resource.
id (integer) – ID for the EntityType.PLUGIN resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/plugins/{id}/snapshots/{snapshotId}/files/bundle#
Returns a file bundle containing all of the PluginFile resources for an
EntryPoint Snapshot resource.
- Parameters
snapshotId (integer) – Snapshot ID for the Entrypoint resource.
id (integer) – ID for the Entrypoint resource.
- Query Parameters
fileType (string) – The type of file to download: tar_gz or zip.
- Status Codes
200 OK – Success
- PUT /api/v1/plugins/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/plugins/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/plugins/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the plugin.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Queues#
Queues management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/queues/ namespace.
- POST /api/v1/queues/#
Creates a Queue resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/#
Gets a list of all Queue resources
- Query Parameters
showDeleted (boolean) – Boolean indicating whether to include deleted resources in the results.
sortBy (string) – The name of the column to sort.
descending (boolean) – Boolean indicating whether to sort by descending or not.
search (string) – Search terms for the query (* and ? wildcards).
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/queues/drafts/#
Creates a Draft for the resource
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/drafts/#
Gets the Drafts for the resource
- Query Parameters
draftType (string) – The type of drafts to return: all, existing, or new.
groupId (integer) – Filter results by the Group ID.
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/queues/drafts/{draftId}#
Modifies a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Queue resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/queues/drafts/{draftId}#
Deletes a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Queue resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/drafts/{draftId}#
Gets a Draft for the resource
- Parameters
draftId (integer) – ID for the Draft of the Queue resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/queues/{id}#
Modifies a Queue resource
- Parameters
id (integer) – ID for the Queue resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/queues/{id}#
Deletes a Queue resource
- Parameters
id (integer) – ID for the Queue resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/{id}#
Gets a Queue resource
- Parameters
id (integer) – ID for the Queue resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/queues/{id}/draft#
Modifies the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/queues/{id}/draft#
Deletes the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/queues/{id}/draft#
Creates a Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/{id}/draft#
Gets the Draft for this resource
- Parameters
id (integer) – ID for the resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/{id}/snapshots#
Gets the Snapshots for the resource
- Parameters
id (integer) – ID for the EntityType.QUEUE resource.
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/queues/{id}/snapshots/{snapshotId}#
Gets a Snapshot for the resource by snapshot id
- Parameters
snapshotId (integer) – Snapshot ID for the EntityType.QUEUE resource.
id (integer) – ID for the EntityType.QUEUE resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/queues/{id}/tags#
Replaces one or more Tags to the resource
- Parameters
id (integer) – ID for the queue.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/queues/{id}/tags#
Removes all Tags from the resource
- Parameters
id (integer) – ID for the queue.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/queues/{id}/tags#
Appends one or more Tags to the resource
- Parameters
id (integer) – ID for the queue.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Users#
User management operations.
Endpoints#
The following is the list of endpoints under the /api/v1/users/ namespace.
- POST /api/v1/users/#
Creates a User
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/users/#
Gets a list of all Users
- Query Parameters
search (string) – Search terms for the query (* and ? wildcards).
index (integer) – Starting index of the current page.
pageLength (integer) – Number of results to return per page.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- PUT /api/v1/users/current#
Modifies the Current User
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- DELETE /api/v1/users/current#
Deletes a Current User
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- GET /api/v1/users/current#
Gets the Current User
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
- POST /api/v1/users/current/password#
Updates the Current User’s password
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask
Workflows#
Workflow execution operations.
Endpoints#
The following is the list of endpoints under the /api/v1/workflows/ namespace.
- POST /api/v1/workflows/draftCommit/{id}#
Commit a draft as a new resource
- Parameters
id (integer) – ID for the Draft resource.
- Status Codes
200 OK – Success
- Request Headers
X-Fields – An optional fields mask